Centos7.0升级至指定内核版本

1、查看当前系统内核版本:

#uname -a 查看

发现是3.10.0-123.el7.x86_64,需要升级到3.10.0-862.14.4.el7

2、内核升级有两种方法:

一种是小版本升级

#yum list kernel 查看可以直接进行小版本升级的版本,

发现只能升级到3.10.0-327.18.2.el7,与需要的版本不符,

此时需要手动下载内核源码包安装。

3、到http://ftp.scientificlinux.org/linux/scientific/7.0/x86_64/updates/security/下载对应的内核源码包,网页全部加载完比较慢,需要等一段时间。

#wget http://ftp.scientificlinux.org/linux/scientific/7.0/x86_64/updates/security/kernel-3.10.0-862.14.4.el7.x86_64.rpm

4、然后安装下载的内核:

测试的时候发现如果是带桌面的centos7.0系统,安装的过程会自动断开远程连接,可能是桌面版的某些组件版本与下载的内核有冲突,可以用rpm的方式先查看是哪些组件有问题,升级或卸载这些组件,

mini安装的centos7.0没有这个问题。

#yum install kernel-3.10.0-862.14.4.el7.x86_64.rpm -y

5、安装完成后查看并启用新内核:

#grep ^menuentry /etc/grub2.cfg | cut -f 2 -d \’

6、看到新安装的内核版本在第一排,表示0行,执行以下命令grub配置文件

#grub2-set-default 0

7、重启检查内核版本已经升级成功。



Centos7.0升级至指定内核版本》上有3条评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注

您可以使用这些HTML标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>